/// @brief Clase ArmaArrojadiza
///
/// Clase para representar el misil del bazooka y el shurikken.

#ifndef ARMAARROJADIZA_H
#define ARMAARROJADIZA_H

class ArmaArrojadiza { 
   public:
      /// @brief Crea un proyectil
      /// @return Objeto inicializado de la clase ArmaArrojadiza.
      ArmaArrojadiza(float x, float y, float w, float h);
   private:
      //Posición horizontal y vertical
      /// @ {
      /// @name Coordenadas
      float x_,y_;
      /// @ }
      //Alto y ancho
      /// @ {
      /// @name Proporciones
      float w_,h_;
      /// @ }
      int danyo;
};

#endif